From: "Andrew Savchenko" <bircoph@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-physics/root/
Date: Wed, 30 May 2012 16:34:12 +0000 (UTC) [thread overview]
Message-ID: <1338395610.06f40d28b8cf5594ab1a85f8abc0cf6a7f5fc759.bircoph@gentoo> (raw)
commit: 06f40d28b8cf5594ab1a85f8abc0cf6a7f5fc759
Author: Andrew Savchenko <bircoph <AT> gmail <DOT> com>
AuthorDate: Wed May 30 16:33:30 2012 +0000
Commit: Andrew Savchenko <bircoph <AT> gmail <DOT> com>
CommitDate: Wed May 30 16:33:30 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=06f40d28
sci-physics/root: use virtualx eclass for Xvfb
---
sci-physics/root/ChangeLog | 4 ++++
sci-physics/root/root-5.32.03-r2.ebuild | 16 +++++-----------
sci-physics/root/root-9999.ebuild | 16 +++++-----------
3 files changed, 14 insertions(+), 22 deletions(-)
diff --git a/sci-physics/root/ChangeLog b/sci-physics/root/ChangeLog
index b632101..45c3f58 100644
--- a/sci-physics/root/ChangeLog
+++ b/sci-physics/root/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/ChangeLog,v 1.96 2012/03/29 18:21:49 bicatali Exp $
+ 30 May 2012; Andrew Savchenko <bircoph@gmail.com> root-5.32.03-r2.ebuild,
+ root-9999.ebuild:
+ Use virtualx eclass for Xvfb during htmldoc generation.
+
*root-5.32.03-r2 (29 May 2012)
29 May 2012; Andrew Savchenko <bircoph@gmail.com>
diff --git a/sci-physics/root/root-5.32.03-r2.ebuild b/sci-physics/root/root-5.32.03-r2.ebuild
index 27cad96..fa88aaa 100644
--- a/sci-physics/root/root-5.32.03-r2.ebuild
+++ b/sci-physics/root/root-5.32.03-r2.ebuild
@@ -17,7 +17,7 @@ else
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
fi
-inherit elisp-common eutils fdo-mime fortran-2 python toolchain-funcs ${_SVN}
+inherit elisp-common eutils fdo-mime fortran-2 python toolchain-funcs virtualx ${_SVN}
ROOFIT_DOC_PV=2.91-33
TMVA_DOC_PV=4.03
@@ -99,8 +99,7 @@ CDEPEND="
xrootd? ( net-libs/xrootd )"
DEPEND="${CDEPEND}
- virtual/pkgconfig
- htmldoc? ( x11-base/xorg-server[xvfb] )"
+ virtual/pkgconfig"
RDEPEND="
virtual/fortran
@@ -112,6 +111,8 @@ REQUIRED_USE="
!X? ( !opengl !qt4 !xft )
htmldoc? ( X doc graphviz )"
+VIRTUALX_REQUIRED="htmldoc"
+
S="${WORKDIR}/${PN}"
pkg_setup() {
@@ -283,20 +284,13 @@ src_compile() {
elisp-compile build/misc/*.el || die "elisp-compile failed"
fi
if use htmldoc; then
- # we need X server running, THtml uses it for GUI snapshots
- Xvfb -screen 0 1280x1024x24 :50 >/dev/null 2>&1 &
- local xvfb_pid=$!
- ps h -C Xvfb | grep -q ${xvfb_pid} || die "Xvfb failed to start"
-
LD_LIBRARY_PATH=${S}/lib:${S}/cint/cint/include:${S}/cint/cint/stl \
ROOTSYS=${S} DISPLAY=":50" \
- emake html || die "html doc generation failed"
+ Xemake html || die "html doc generation failed"
# if root.exe crashes, return code will be 0 due to gdb attach,
# so we need to check if last html file was generated;
# this check is volatile and can't catch crash on the last file.
[[ -f htmldoc/timespec.html ]] || die "looks like html doc generation crashed"
-
- kill ${xvfb_pid}
fi
}
diff --git a/sci-physics/root/root-9999.ebuild b/sci-physics/root/root-9999.ebuild
index 53e7853..9f55ad4 100644
--- a/sci-physics/root/root-9999.ebuild
+++ b/sci-physics/root/root-9999.ebuild
@@ -17,7 +17,7 @@ else
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
fi
-inherit elisp-common eutils fdo-mime fortran-2 python toolchain-funcs ${_SVN}
+inherit elisp-common eutils fdo-mime fortran-2 python toolchain-funcs virtualx ${_SVN}
ROOFIT_DOC_PV=2.91-33
TMVA_DOC_PV=4.03
@@ -101,8 +101,7 @@ CDEPEND="
xrootd? ( net-libs/xrootd )"
DEPEND="${CDEPEND}
- virtual/pkgconfig
- htmldoc? ( x11-base/xorg-server[xvfb] )"
+ virtual/pkgconfig"
RDEPEND="
virtual/fortran
@@ -114,6 +113,8 @@ REQUIRED_USE="
!X? ( !opengl !qt4 !xft )
htmldoc? ( X doc graphviz )"
+VIRTUALX_REQUIRED="htmldoc"
+
S="${WORKDIR}/${PN}"
pkg_setup() {
@@ -283,20 +284,13 @@ src_compile() {
elisp-compile build/misc/*.el || die "elisp-compile failed"
fi
if use htmldoc; then
- # we need X server running, THtml uses it for GUI snapshots
- Xvfb -screen 0 1280x1024x24 :50 >/dev/null 2>&1 &
- local xvfb_pid=$!
- ps h -C Xvfb | grep -q ${xvfb_pid} || die "Xvfb failed to start"
-
LD_LIBRARY_PATH=${S}/lib:${S}/cint/cint/include:${S}/cint/cint/stl \
ROOTSYS=${S} DISPLAY=":50" \
- emake html || die "html doc generation failed"
+ Xemake html || die "html doc generation failed"
# if root.exe crashes, return code will be 0 due to gdb attach,
# so we need to check if last html file was generated;
# this check is volatile and can't catch crash on the last file.
[[ -f htmldoc/timespec.html ]] || die "looks like html doc generation crashed"
-
- kill ${xvfb_pid}
fi
}
next reply other threads:[~2012-05-30 16:34 UTC|newest]
Thread overview: 69+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-05-30 16:34 Andrew Savchenko [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-03-26 14:45 [gentoo-commits] proj/sci:master commit in: sci-physics/root/ Justin Lecher
2016-07-02 9:02 Justin Lecher
2016-05-07 9:37 Justin Lecher
2015-09-23 12:48 Justin Lecher
2015-07-18 9:45 Andrew Savchenko
2015-04-13 6:25 Justin Lecher
2015-04-12 17:59 Andrew Savchenko
2015-04-11 18:12 Andrew Savchenko
2015-04-11 9:22 Andrew Savchenko
2015-03-02 8:12 Andrew Savchenko
2015-02-24 23:53 Andrew Savchenko
2015-01-01 23:12 Andrew Savchenko
2015-01-01 15:20 Andrew Savchenko
2015-01-01 15:20 Andrew Savchenko
2014-11-10 15:14 Justin Lecher
2014-10-26 16:16 Justin Lecher
2014-07-06 12:53 Andrew Savchenko
2014-07-03 14:15 Andrew Savchenko
2014-01-06 19:27 Justin Lecher
2013-12-29 0:31 Justin Lecher
2013-12-10 16:18 Andrew Savchenko
2013-11-08 17:50 Andrew Savchenko
2013-10-07 2:37 Andrew Savchenko
2013-10-06 3:57 Andrew Savchenko
2013-10-04 23:39 Andrew Savchenko
2013-09-17 19:13 Christoph Junghans
2013-06-29 6:14 Andrew Savchenko
2013-06-08 15:00 Andrew Savchenko
2013-06-04 11:59 Justin Lecher
2013-05-28 20:28 Andrew Savchenko
2012-10-29 11:00 Justin Lecher
2012-07-22 12:45 Andrew Savchenko
2012-07-21 22:43 Andrew Savchenko
2012-07-02 19:42 Justin Lecher
2012-06-20 9:18 Andrew Savchenko
2012-06-20 9:18 Andrew Savchenko
2012-06-19 23:18 Andrew Savchenko
2012-06-19 20:20 Andrew Savchenko
2012-06-13 15:45 Sebastien Fabbro
2012-05-25 12:33 Andrew Savchenko
2012-05-23 20:01 Kacper Kowalik
2012-05-23 5:20 Andrew Savchenko
2012-05-22 19:43 Justin Lecher
2012-04-03 18:07 Justin Lecher
2012-04-03 18:07 Justin Lecher
2012-04-03 7:53 Andrew Savchenko
2012-04-03 4:13 Kacper Kowalik
2012-04-02 19:44 Andrew Savchenko
2012-03-23 16:04 Andrew Savchenko
2012-03-23 16:04 Andrew Savchenko
2012-03-22 0:23 Andrew Savchenko
2012-03-09 13:32 Andrew Savchenko
2012-03-09 2:20 Andrew Savchenko
2012-03-01 14:52 Andrew Savchenko
2012-01-03 3:07 Sebastien Fabbro
2012-01-03 3:07 Sebastien Fabbro
2011-12-15 18:50 Andrew Savchenko
2011-12-11 21:39 Andrew Savchenko
2011-11-25 3:27 Andrew Savchenko
2011-11-17 11:25 Justin Lecher
2011-10-27 21:49 Sebastien Fabbro
2011-10-21 21:04 Andrew Savchenko
2011-10-21 12:36 Andrew Savchenko
2011-10-03 0:15 Andrew Savchenko
2011-08-24 10:43 Andrew Savchenko
2011-08-02 22:30 Andrew Savchenko
2011-08-02 21:58 Andrew Savchenko
2011-03-07 12:01 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1338395610.06f40d28b8cf5594ab1a85f8abc0cf6a7f5fc759.bircoph@gentoo \
--to=bircoph@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox